Status: Rejected Start date: April 20, 2014

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: libaudtag Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Please add read support for the Lyrics3v2 tag to Audacious.

The ID3v1 specification only allows 30 characters for title, artist, album and comment fields.

The Lyrics3v2 tag was commonly used to allow one to go beyond this 30 character limit, all the way up to 250 characters.

Suggestion: read the Lyrics3v2 tag when only a ID3v1 tag exists, as ID3v2 does not have this 30 character limit. Should not be to

hard to add (perhaps in id3v1.c?).

Although the Lyrics3v2 tag is almost unused these days, a lot of people (like me) might have thousands of ID3v1 only mp3 files that

contain the Lyrics3v2 tag. Re-tagging to ID3v2 would be very time consuming.

For the sake of backwards compatibility, please add (read) support for the Lyrics3v2 tag! :-)

References:

ID3v1 - ID3.org: http://id3.org/ID3v1

Lyrics3v2 - ID3.org: http://id3.org/Lyrics3v2

History

#1 - September 25, 2014 01:28 - Ariadne Conill

I was looking at this and the spec is confusing.  Also, can you include a copy of a file with a Lyrics3v2 file?

Thanks.

#2 - September 26, 2014 15:09 - Frank de Jong

- File 01. silence-A - silence-A.mp3 added

- File 02. silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ - silence-A.mp3 added

- File 03. silence-A - silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ.mp3 added

- File 04. silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ - silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ.mp3 added

- File 05. silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ - silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ.mp3 added

- File 06. silence-B - silence-B.mp3 added

- File 07. silence-BCDEFGHIJKLMNOPQRSTUVWXYZA - silence-B.mp3 added

- File 08. silence-B - silence-BCDEFGHIJKLMNOPQRSTUVWXYZA.mp3 added

- File 09. silence-BCDEFGHIJKLMNOPQRSTUVWXYZA - silence-BCDEFGHIJKLMNOPQRSTUVWXYZA.mp3 added

- File 10. silence-BCDEFGHIJKLMNOPQRSTUVWXYZA - silence-BCDEFGHIJKLMNOPQRSTUVWXYZA.mp3 added

10 example mp3s included, they all contain two seconds of silence. I hope this helps!

#3 - March 06, 2015 04:07 - John Lindgren

- Target version deleted (52)
#4 - December 06, 2019 02:02 - John Lindgren

- Status changed from New to Rejected

No core developer has had time/interest to implement this in the past 5 years.  Closing.

Files

01. silence-A - silence-A.mp3 8.28 KBSeptember 26, 2014 Frank de Jong

02. silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ - silence-A.mp3 8.35 KBSeptember 26, 2014 Frank de Jong

03. silence-A - silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ.mp3 8.35 KBSeptember 26, 2014 Frank de Jong

04. silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ - silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ.mp38.39 KBSeptember 26, 2014 Frank de Jong

05. silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ - silence-ABCDEFGHIJKLMNOPQRSTUVWXYZ.mp317.6 KBSeptember 26, 2014 Frank de Jong

06. silence-B - silence-B.mp3 8.41 KBSeptember 26, 2014 Frank de Jong

07. silence-BCDEFGHIJKLMNOPQRSTUVWXYZA - silence-B.mp3 8.45 KBSeptember 26, 2014 Frank de Jong

08. silence-B - silence-BCDEFGHIJKLMNOPQRSTUVWXYZA.mp3 8.45 KBSeptember 26, 2014 Frank de Jong

09. silence-BCDEFGHIJKLMNOPQRSTUVWXYZA - silence-BCDEFGHIJKLMNOPQRSTUVWXYZA.mp38.49 KBSeptember 26, 2014 Frank de Jong

10. silence-BCDEFGHIJKLMNOPQRSTUVWXYZA - silence-BCDEFGHIJKLMNOPQRSTUVWXYZA.mp317.7 KBSeptember 26, 2014 Frank de Jong
